=== 3.9.0 (2014-04-19)

* This is mostly a dependencies upgrade.
* Upgraded to Python 3.3.
* Upgraded to Qt 5.
* Minimum Windows version is now Windows 7 64bit.
* Minimum Ubuntu version is now 14.04.
* Minimum OS X version is now 10.7 (Lion).
* ... But with a couple of little improvements.
* Improved documentation.
* Overwrite subfolders' state when setting states in folder dialog (#248)
* The error report dialog now brings the user to Github issues.

=== 3.8.0 (2013-12-07)

* Disable symlink/hardlink deletion option when not relevant. (#247)
* Make Cmd+A select all folders in the Folder Selection dialog. [Mac] (#228)
* Make non-numeric delta comparison case insensitive. (#239)
* Fix surrogate-related UnicodeEncodeError on CSV export. (#210)
* Fixed crash on Dupe Count sorting with Delta + Dupes Only. (#238)
* Improved documentation.
* Important internal refactorings.
* Dropped Ubuntu 12.04 and 12.10 support.
* Removed the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).

=== 3.7.1 (2013-08-19)

* Fixed folder scan type, which was broken in v3.7.0.

=== 3.7.0 (2013-08-17)

* Improved delta values to support non-numerical values. (#213)
* Improved the Re-Prioritize dialog's UI. (#224)
* Added hardlink/symlink support on Windows Vista+. (#220)
* Dropped 32bit support on Mac OS X.
* Added Vietnamese localization by Phan Anh.

=== 3.6.1 (2013-04-28)

* Improved "Make Selection Reference" to make it clearer. (#222)
* Improved "Open Selected" to allow opening more than one file at once. (#142)
* Fixed a few typos here and there. (#216 #225)
* Tweaked the fairware dialog ([More Info](http://www.hardcoded.net/articles/phasing-out-fairware)).
* Added Arch Linux packaging
* Added a 64-bit build for Windows.
* Improved Russian localization by Kyrill Detinov.
* Improved Brazilian localization by Victor Figueiredo.

=== 3.6.0 (2012-08-08)

* Added "Export to CSV". (#189)
* Added "Replace with symlinks" to complement "Replace with hardlinks". [Mac, Linux] (#194)
* dupeGuru now tells how many duplicates were affected after each re-prioritization operation. (#204)
* Added Longest/Shortest filename criteria in the re-prioritize dialog. (#198)
* Fixed result table cells which mistakenly became writable in v3.5.0. [Mac] (#203)
* Fixed "Rename Selected" which was broken since v3.5.0. [Mac] (#202)
* Fixed a bug where "Reset to Defaults" in the Columns menu wouldn't refresh menu items' marked state.
* Added Brazilian localization by Victor Figueiredo.

=== 3.5.0 (2012-06-01)

* Added a Deletion Options panel.
* Greatly improved memory usage for big scans.
* Added a keybinding for the filter field. (#182) [Mac]
* Upgraded minimum requirements for Ubuntu to 12.04.

=== 3.4.1 (2012-04-14)

* Fixed the "Folders" scan type. [Mac]
* Fixed localization issues. [Windows, Linux]

=== 3.4.0 (2012-03-29)

* Improved results window UI. [Windows, Linux]
* Added a dialog to edit the Ignore List.
* Added the ability to sort results by "marked" status.
* Fixed "Open with default application". (#190)
* Fixed a bug where there would be a false reporting of discarded matches. (#195)
* Fixed various localization glitches.
* Fixed hard crashes on crash reporting. (#196)
* Fixed bug where the details panel would show up at inconvenient places in the screen. [Windows, Linux]

=== 3.3.3 (2012-02-01)

* Fixed crash on adding some folders. [Mac OS X]
* Added Ukrainian localization by Yuri Petrashko.

=== 3.3.2 (2012-01-16)

* Fixed random hard crashes (yeah, again). [Mac OS X]
* Fixed crash on Export to HTML. [Windows, Linux]
* Added Armenian localization by Hrant Ohanyan.
* Added Russian localization by Igor Pavlov.

=== 3.3.1 (2011-12-02)

* Fixed a couple of nasty crashes.

=== 3.3.0 (2011-11-30)

* Added multiple-selection in folder selection dialog for a more efficient folder removal. (#179)
* Fixed a crash in the prioritize dialog. (#178)
* Fixed a bug where mass marking with a filter would mark more than filtered duplicates. (#181)
* Fixed random hard crashes. [Mac OS X] (#183 #184)
* Added Czech localization by Aleš Nehyba.
* Added Italian localization by Paolo Rossi.

=== 3.2.1 (2011-10-02)

* Fixed a couple of broken action bindings from v3.2.0.

=== 3.2.0 (2011-09-27)

* Added duplicate re-prioritization dialog. (#138)
* Added font size preference for duplicate table. (#82)
* Added Quicklook support. [Mac OS X] (#21)
* Improved behavior of Mark Selected. (#139)
* Improved filename sorting. (#169)
* Added Chinese (Simplified) localization by Eric Dee.
* Tweaked the fairware system.
* Upgraded minimum requirements to OS X 10.6 and Ubuntu 11.04.

=== 3.1.2 (2011-08-25)

* Fixed a bug preventing the Folders scan from working. (#172)

=== 3.1.1 (2011-08-24)

* Added German localization by Gregor Tätzner.
* Improved OS X Lion compatibility. [Mac OS X]
* Made the file collection phase cancellable. (#168)
* Fixed glitch in folder window upon selecting a folder state. [Windows, Linux] (#165)
* Fixed a text coloring glitch in the results. (#156)
* Fixed glitch in the sorting feature of the Folder column. (#161)
* Make sure that saved results have the ".dupeguru" extension. [Linux] (#157)

=== 3.1.0 (2011-04-16)

* Added the "Folders" scan type. (#89)
* Fixed a couple of crashes. (#140 #149)

=== 3.0.2 (2011-03-16)

* Fixed crash after removing marked dupes. (#140)
* Fixed crash on error handling. [Windows] (#144)
* Fixed crash on copy/move. [Windows] (#148)
* Fixed crash when launching dupeGuru from a very long folder name. [Mac OS X] (#119)
* Fixed a refresh bug in directory panel. (#153)
* Improved reliability of the "Send to Trash" operation. [Linux]
* Tweaked Fairware reminders.

=== 3.0.1 (2011-01-27)

* Restored the context menu which had been broken in 3.0.0. [Mac OS X] (#133)
* Fixed a bug where an "unsaved results" warning would be issued on quit even with empty results. (#134)
* Removed focus from the cancel button in the progress dialog to avoid accidental cancellations. [Mac OS X] (#135)
* Folders added through drag and drop are added to the recent folders list. (#136)
* Added a debugging mode. (#132)
* Fixed french localization glitches.

=== 3.0.0 (2011-01-24)

* Re-designed the UI. (#129)
* Internationalized dupeGuru and localized it to french. (#32)
* Changed the format of the help file. (#130)

=== 2.12.3 (2011-01-01)

* Fixed bug causing results to be corrupted after a scan cancellation. (#120)
* Fixed crash when fetching Fairware unpaid hours. (#121)
* Fixed crash when replacing files with hardlinks. (#122)

=== 2.12.2 (2010-10-05)

* Fixed delta column colors which were broken since 2.12.0.
* Fixed column sorting crash. (#108)
* Fixed occasional crash during scan. (#106)

=== 2.12.1 (2010-09-30)
*  Re-licensed dupeGuru to BSD and made it [Fairware](http://open.hardcoded.net/about/).

=== 2.12.0 (2010-09-26)
*  Improved UI with a little revamp.
*  Added the possibility to place hardlinks to references after having deleted duplicates. [Mac OS X, Linux] (#91)
*  Added an option to ignore duplicates hardlinking to the same file. [Mac OS X, Linux] (#92)
*  Added multiple selection in the "Add Directory" dialog. [Mac OS X] (#105)
*  Fixed a bug preventing drag & drop from working in the Directories panel. [Windows, Linux]

=== 2.11.1 (2010-08-26)
*  Fixed HTML exporting which was broken in 2.11.0.

=== 2.11.0 (2010-08-18)
*  Added the ability to save results (and reload them) at arbitrary locations.
*  Improved the way reference files in dupe groups are chosen. (#15)
*  Remember size/position of all windows between launches. (#102)
*  Fixed a bug sometimes preventing dupeGuru from reloading previous results.
*  Fixed a bug sometimes causing the progress dialog to be stuck there. [Mac OS X] (#103)
*  Removed the Creation Date column, which wasn't displaying the correct value anyway. (#101)

=== 2.10.1 (2010-07-15)
*  Fixed a couple of crashes. (#95, #97, #100)

=== 2.10.0 (2010-04-13)
*  Improved error messages when files can't be sent to trash, moved or copied.
*  Added a custom command invocation action. (#12)
*  Filters are now applied on whole paths. (#4)

=== 2.9.2 (2010-02-10)
*  dupeGuru is now 64-bit on Mac OS X!
*  Fixed a crash upon quitting when support folder is not present. (#83)
*  Fixed a crash during sorting. (#85)
*  Fixed selection glitches, especially while renaming. (#93)

=== 2.9.1 (2010-01-13)
*  Improved memory usage for Contents scans. (#75)
*  Improved scanning speed when ref directories are involved. (#77)
*  Show a message dialog at the end of the scan if no duplicates are found. (#81)
*  Fixed a bug sometimes causing the small files threshold pref to be ignored. [Mac OS X] (#75)

=== 2.9.0 (2009-11-03)
*  Significantly improved speed and memory usage of big contents-based scans.
*  Added drag & drop support in the Directories panel. (#9)
*  Fixed a bug causing dupeGuru to be confused if a scanned file was moved during the scan. (#72)
*  Dropped support for Mac OS X 10.4 (Tiger)

=== 2.8.2 (2009-10-14)
*  Improved directory selection in the Directories panel (Windows). (#56)
*  Fixed a bug preventing dupeGuru from starting on certain machines (Windows). (#68)
*  Fixed a crash during very big scans. (#70)

=== 2.8.1 (2009-10-02)
*  Fixed crash with filtering when regular expressions were enabled. (#60)
*  Fixed crash when setting directories' state. (Mac OS X) (#66)
*  Fixed crash with Make Reference when certain filters are applied. (Mac OS X) (#55)
*  Improved error handling during delete/move/copy actions. (#62 #65)

=== 2.8.0 (2009-09-07)
*  Added support for all kinds of bundle (not just applications) (Mac OS X) (#11)
*  Re-introduced the Export to XHTML feature to Windows. (#14)
*  Improved Export to XHTML speed. (#14)
*  Improved Contents scanning speed for large files. (#33)
*  Improved the grouping algorithm to reduce the number of discarded files in non-exact scans. (#51)
*  Stopped showing the same file on the 2 sides of the details panel when a ref file is selected. (#50)
*  Fixed crashes in the Directories panel. (#46)

=== 2.7.3 (2009-06-20)
*  Fixed bugs with selection being jumpy during "Make Reference" actions and Power Marker
        switches. (#3)
*  Fixed crash happening when a file with non-roman characters couldn't be analyzed. (#30)
*  Fixed crash sometimes happening during the file collection phase in scanning. (#38)
*  Restored double-click and right-click behavior lost in the PyQt move (Windows). (#34 #35)

=== 2.7.2 (2009-06-10)
*  Fixed an occasional crash on Copy/Move operations. (#16)
*  Added automatic exclusion for sensible folders (like system folders). (#20)
*  Fixed an occasional crash when application files were part of the results (Mac OS X). (#25)

=== 2.7.1 (2009-05-29)
*  Fixed a bug causing crashes when having application files in the results.
*  Fixed a bug causing a GUI freeze at the beginning of a scan with a lot of files.
*  Fixed a bug that sometimes caused a crash when an action was cancelled, and then started again.

=== 2.7.0 (2009-05-25)
*  Converted the Windows GUI to Qt.
*  Improved the reliability of the scanning process.

=== 2.6.1 (2009-03-27)
* **Fixed** an occasional crash caused by permission issues.
* **Fixed** a bug where the "X discarded" notice would show a too large number of discarded 
      duplicates.

=== 2.6.0 (2008-09-10)

* **Added** a small file threshold preference.
* **Added** a notice in the status bar when matches were discarded during the scan.
* **Improved** duplicate prioritization (smartly chooses which file you will keep).
* **Improved** scan progress feedback.
* **Improved** responsiveness of the user interface for certain actions.

=== 2.5.4 (2008-08-10)

* **Improved** the speed of results loading and saving.
* **Fixed** a crash sometimes occurring during duplicate deletion.

=== 2.5.3 (2008-07-08)

* **Improved** unicode handling for filenames. dupeGuru will now find a lot more duplicates if your files have non-ascii characters in it.
* **Fixed** "Clear Ignore List" crash in Windows.

=== 2.5.2 (2008-01-10)

* **Improved** the handling of low memory situations.
* **Improved** the directory panel. The "Remove" button changes to "Put Back" when an excluded directory is selected.
* **Improved** scan, delete and move speed in situations where there were a lot of duplicates.
* **Fixed** occasional crashes when moving bundles (such as .app files).
* **Fixed** occasional crashes when moving a lot of files at once.

=== 2.5.1 (2007-11-22)

* **Added** the "Remove empty folders" option.
* **Fixed** results load/save issues.
* **Fixed** occasional status bar inaccuracies when the results are filtered.
           

=== 2.5.0 (2007-09-15)

* **Added** post scan filtering.
* **Fixed** issues with the rename feature under Windows
* **Fixed** some user interface annoyances under Windows
                

=== 2.4.8 (2007-04-14)

* **Improved** UI responsiveness (using threads) under Mac OS X.
* **Improved** result load/save speed and memory usage.

=== 2.4.7 (2007-03-10)

* **Fixed** a "bad file descriptor" error occasionally popping up.
* **Fixed** a bug with non-latin directory names.

=== 2.4.6 (2007-02-10)

* **Added** Re-orderable columns. In fact, I re-added the feature which was lost in the C# conversion in 2.4.0 (Windows).
* **Changed** the behavior of the scanning engine when setting the hardness to 100. It will now only match files that have their words in the same order.
* **Fixed** a bug with all the Delete/Move/Copy actions with certain kinds of files.            

=== 2.4.5 (2007-01-11)

* **Fixed** a bug with the Move action.

=== 2.4.4 (2007-01-07)

* **Fixed** a "ghosting" bug. Dupes deleted by dupeGuru would sometimes come back in subsequent scans (Windows).
* **Fixed** bugs sometimes making dupeGuru crash when marking a dupe (Windows).
* **Fixed** some minor visual glitches (Windows).

=== 2.4.3 (2006-12-08)

* **Fixed** a mishandling of ".app" files (OS X).
* **Fixed** a bug preventing files from "reference" directories to be displayed in blue in the results (Windows).
* **Fixed** a bug preventing some files to be sent to the recycle bin (Windows).
* **Fixed** a bug in the packaging preventing certain Windows configurations to start dupeGuru at all.

=== 2.4.2 (2006-11-18)

* **Fixed** a bug with directory states.

=== 2.4.1 (2006-11-15)

* **Fixed** a bug causing the ignore list not to be saved.
* **Fixed** a bug sometimes making delete and move operations stall.

=== 2.4.0 (2006-11-10)

* **Changed** the Windows interface. It is now .NET based.
* **Added** an auto-update feature to the windows version.
* **Changed** the way power marking works. It is now a mode instead of a separate window.
* **Changed** the "Size (MB)" column for a "Size (KB)" column. The values are now "ceiled" instead of rounded. Therefore, a size "0" is now really 0 bytes, not just a value too small to be rounded up. It is also the case for delta values.
* **Removed** the min word length/count options. These came from Mp3 Filter, and just aren't used anymore. Word weighting does pretty much the same job.

=== 2.3.4 (2006-11-07)

* **Improved** speed and memory usage of the scanning engine, again. Does it mean there was a lot of improvements to be made? Nah...            

=== 2.3.3 (2006-11-02)

* **Improved** speed and memory usage of the scanning engine, especially when the scan results in a lot of duplicates.
*  Now I wonder if Sparkle is going to work well...

=== 2.3.2 (2006-10-16)

* **Added** an auto-update feature in the Mac OS X version (with Sparkle).
* **Fixed** a bug preventing some duplicate reports to be created correctly under Windows.

=== 2.3.1 (2006-10-02)

* **Fixed** a bug preventing some duplicates to be found, especially when scanning lots of files.

=== 2.3.0 (2006-09-22)

* **Added** XHTML export feature.

=== 2.2.10 (2006-08-31)

* **Added** sticky columns.
* **Fixed** an issue with file caching between scans.
* **Fixed** an issue preventing some duplicates from being deleted/moved/copied.

=== 2.2.9 (2006-08-27)

* **Fixed** an issue with ignore list and unicode.
* **Fixed** an issue with file attribute fetching sometimes causing dupeGuru to crash.
* **Fixed** an issue in the directories panel under Windows.

=== 2.2.8 (2006-08-17)

* **Fixed** an issue in the duplicate seeking engine preventing some duplicates to be found.

=== 2.2.7 (2006-08-12)

* **Improved** unicode support.
* **Improved** the "Reveal in Finder" ("Open Containing Folder" in Windows) feature so it selects the file in the folder it opens.

=== 2.2.6 (2006-08-07)

* **Improved** the ignore list system.
* dupeGuru is now a Universal application on Mac OS X.

=== 2.2.5 (2006-07-26)

* **Improved** application (.app) dupe detection on Mac OS X.
* **Fixed** an issue that occasionally made dupeGuru crash on startup.

=== 2.2.4 (2006-06-27)

* **Fixed** an issue with Move and Copy features.

=== 2.2.3 (2006-06-15)

* **Improved** duplicate scanning speed.
* **Added** a warning that a file couldn't be renamed if a file with the same name already exists.            

=== 2.2.2 (2006-06-07)

* **Added** "Rename Selected" feature.
* **Fixed** some minor issues with "Reload Last Results" feature.
* **Fixed** ignore list issues.

=== 2.2.1 (2006-05-22)

* **Fixed** occasional progress bar woes under Windows.
* **Fixed** a bug in the registration system under Windows.
* Nothing has been changed in the Mac OS X version, but I want to keep version in sync.

=== 2.2.0 (2006-05-10)

* **Added** destination path re-creation options.
* **Added** an ignore list.
* **Changed** the main icon.
* **Improved** dramatically the delta values feature.

=== 2.1.2 (2006-04-18)

* **Added** the "Match similar words" option.
* **Fixed** Power marking issues under Mac.

=== 2.1.1 (2006-04-14)

* **Added** the "Display delta values" option.
* **Improved** Power marking sorting speed under Mac.
* **Fixed** Power marking sorting issues.

=== 2.1.0 (2006-04-03)

* **Added** the Power Marker feature.
* **Fixed** a column sorting bug. The results would sometimes lose their sort order.
* **Fixed** a bug with the Make Reference feature. The results sometimes wasn't correctly refreshed after the reference switch.

=== 2.0.1 (2006-03-23)

* **Fixed** an issue occasionally occurring when trying to reload results from removable media that is no longer present.

=== 2.0.0 (2006-03-17)

* Complete rewrite.         
* Now runs on Mac OS X.

=== 1.0.0 (2004-09-24)

* Initial release.     
